List sprints
Overview
This endpoint allows you to retrieve the list of sprints that happened in your community. If you pass the onlyCurrent=true query params to the query, it will only return the active sprint.
The Leaderboard sprint object
id - String
ID of the sprint
name - String
Name of the sprint
description - String
Description of the sprint
image - String
Url of the sprint image
color - String
Hex color associated with the sprint (e.g: "#833f6a")
rewards - Object
TipTap document that describes the rewards of the sprint
rewardZone - Number
Leaderboard position until which the users will be rewarded.
includedQuestsIds - Array of strings
IDs of the quests that are part of the sprint.
startingAt - String
ISO timestamp that indicates the start of the sprint
endingAt - String
ISO timestamp that indicates the end of the sprint
createdAt - String
ISO timestamp that indicates the creation date and time of the sprint
API Reference
false200
400
401
403
404
409
429
500
GET /public/communities/{subdomain}/leaderboard/sprint HTTP/1.1
Host: api-v2.zealy.io
Accept: */*
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"rewards": {
"type": "text",
"text": "text",
"attrs": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"marks": [
{
"type": "text",
"attrs": {
"href": "text",
"target": "_blank",
"class": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"content": null,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"rewardZone": 1,
"endingAt": "2026-01-01T00:00:00.000Z",
"startingAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"v2": true,
"name": "text",
"description": "text",
"image": "text",
"color": "text",
"usdcPool": 1,
"zapsPool": 1,
"rewardDistributed": true,
"rewardTierConfig": {
"tiers": [
{
"rankFrom": 1,
"rankTo": 1,
"percent": 1
}
]
},
"includedQuestIds": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
],
"nextCursor": "text"
}Last updated
Was this helpful?